
package com.google.api.ads.adwords.jaxws.v201306.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Page-One Promoted bidding scheme, which sets max cpc bids to
 *             target impressions on page one or page one promoted slots on google.com.
 *             <span class="constraint AdxEnabled">This is disabled for AdX.</span>
 *             <span class="constraint Beta">This is a beta feature.</span>
 *           
 * 
 * <p>Java class for PageOnePromotedBiddingScheme complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PageOnePromotedBiddingScheme">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201306}BiddingScheme">
 *       &lt;sequence>
 *         &lt;element name="strategyGoal" type="{https://adwords.google.com/api/adwords/cm/v201306}PageOnePromotedBiddingScheme.StrategyGoal" minOccurs="0"/>
 *         &lt;element name="bidCeiling" type="{https://adwords.google.com/api/adwords/cm/v201306}Money" minOccurs="0"/>
 *         &lt;element name="bidModifier" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="bidChangesForRaisesOnly" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="raiseBidWhenBudgetConstained" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="raiseBidWhenLowQualityScore" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PageOnePromotedBiddingScheme", propOrder = {
    "strategyGoal",
    "bidCeiling",
    "bidModifier",
    "bidChangesForRaisesOnly",
    "raiseBidWhenBudgetConstained",
    "raiseBidWhenLowQualityScore"
})
public class PageOnePromotedBiddingScheme
    extends BiddingScheme
{

    protected PageOnePromotedBiddingSchemeStrategyGoal strategyGoal;
    protected Money bidCeiling;
    protected Double bidModifier;
    protected Boolean bidChangesForRaisesOnly;
    protected Boolean raiseBidWhenBudgetConstained;
    protected Boolean raiseBidWhenLowQualityScore;

    /**
     * Gets the value of the strategyGoal property.
     * 
     * @return
     *     possible object is
     *     {@link PageOnePromotedBiddingSchemeStrategyGoal }
     *     
     */
    public PageOnePromotedBiddingSchemeStrategyGoal getStrategyGoal() {
        return strategyGoal;
    }

    /**
     * Sets the value of the strategyGoal property.
     * 
     * @param value
     *     allowed object is
     *     {@link PageOnePromotedBiddingSchemeStrategyGoal }
     *     
     */
    public void setStrategyGoal(PageOnePromotedBiddingSchemeStrategyGoal value) {
        this.strategyGoal = value;
    }

    /**
     * Gets the value of the bidCeiling property.
     * 
     * @return
     *     possible object is
     *     {@link Money }
     *     
     */
    public Money getBidCeiling() {
        return bidCeiling;
    }

    /**
     * Sets the value of the bidCeiling property.
     * 
     * @param value
     *     allowed object is
     *     {@link Money }
     *     
     */
    public void setBidCeiling(Money value) {
        this.bidCeiling = value;
    }

    /**
     * Gets the value of the bidModifier property.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getBidModifier() {
        return bidModifier;
    }

    /**
     * Sets the value of the bidModifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setBidModifier(Double value) {
        this.bidModifier = value;
    }

    /**
     * Gets the value of the bidChangesForRaisesOnly property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isBidChangesForRaisesOnly() {
        return bidChangesForRaisesOnly;
    }

    /**
     * Sets the value of the bidChangesForRaisesOnly property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setBidChangesForRaisesOnly(Boolean value) {
        this.bidChangesForRaisesOnly = value;
    }

    /**
     * Gets the value of the raiseBidWhenBudgetConstained property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isRaiseBidWhenBudgetConstained() {
        return raiseBidWhenBudgetConstained;
    }

    /**
     * Sets the value of the raiseBidWhenBudgetConstained property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setRaiseBidWhenBudgetConstained(Boolean value) {
        this.raiseBidWhenBudgetConstained = value;
    }

    /**
     * Gets the value of the raiseBidWhenLowQualityScore property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isRaiseBidWhenLowQualityScore() {
        return raiseBidWhenLowQualityScore;
    }

    /**
     * Sets the value of the raiseBidWhenLowQualityScore property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setRaiseBidWhenLowQualityScore(Boolean value) {
        this.raiseBidWhenLowQualityScore = value;
    }

}
